Changeset 20144


Ignore:
Timestamp:
2010-03-11T14:24:03+01:00 (6 years ago)
Author:
nbd
Message:

binutils: the shared variant of libbfd/libopcodes is being generated and used again, so it needs to be packaged as well

File:
1 edited

Legend:

Unmodified
Added
Removed
  • packages/devel/binutils/Makefile

    r19719 r20144  
    2424include $(INCLUDE_DIR)/package.mk 
    2525 
     26define Package/libbfd 
     27  SECTION:=devel 
     28  CATEGORY:=Development 
     29  TITLE:=libbfd 
     30endef 
     31 
    2632define Package/binutils 
    2733  SECTION:=devel 
     
    3541  CATEGORY:=Development 
    3642  TITLE:=objdump 
    37   DEPENDS:=+zlib 
     43  DEPENDS:=+zlib +libbfd 
    3844endef 
    3945 
     
    8288endef 
    8389 
     90define Package/libbfd/install 
     91        $(INSTALL_DIR) $(1)/usr/lib 
     92        $(CP) \ 
     93                $(PKG_INSTALL_DIR)/usr/lib/libopcodes-$(PKG_VERSION).so \ 
     94                $(PKG_INSTALL_DIR)/usr/lib/libbfd-$(PKG_VERSION).so \ 
     95                $(1)/usr/lib/ 
     96endef 
     97 
    8498define Package/objdump/install 
    8599        $(INSTALL_DIR) $(1)/usr/bin 
     
    94108endef 
    95109 
     110$(eval $(call BuildPackage,libbfd)) 
    96111$(eval $(call BuildPackage,binutils)) 
    97112$(eval $(call BuildPackage,objdump)) 
Note: See TracChangeset for help on using the changeset viewer.